Package org.zkoss.zul.event

## Interface PagingListener

- All Superinterfaces:
    `CloneableEventListener<Event>`, `ComponentCloneListener`, `EventListener<Event>`, `java.io.Serializable`, `SerializableEventListener<Event>`

      public interface PagingListener
      extends SerializableEventListener<Event>, CloneableEventListener<Event>

  Provide a shortcut for PagingEventListener
  Since:
    8.0.0
  Author:
    Christopher
  See Also:
    `PagingEvent`, `SerializableEventListener`, `CloneableEventListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onEvent​(Event event)` | Notifies this listener that an event occurs.
    `java.lang.Object` | `willClone​(Component comp)` | Called when a component is going to be cloned.

- - ### Method Detail

    - #### onEvent

          void onEvent​(Event event)
                throws java.lang.Exception

      Description copied from interface: `EventListener`
      Notifies this listener that an event occurs. To get the event, you have to register it first by use of `Component.addEventListener(int, java.lang.String, org.zkoss.zk.ui.event.EventListener<? extends org.zkoss.zk.ui.event.Event>)` or `Page.addEventListener(java.lang.String, org.zkoss.zk.ui.event.EventListener<? extends org.zkoss.zk.ui.event.Event>)`.

      If you want to forward the event to other component, use `Events.sendEvent(org.zkoss.zk.ui.Component, org.zkoss.zk.ui.event.Event)`.

      Specified by:
        `onEvent` in interface `EventListener<Event>`
      Throws:
        `java.lang.Exception`

    - #### willClone

          java.lang.Object willClone​(Component comp)

      Description copied from interface: `ComponentCloneListener`
      Called when a component is going to be cloned. If the object is OK to be shared by the cloned and original components, it can return itself. If an independent instance must be created for the cloned component, it can clone itself and return the cloned object.
      Specified by:
        `willClone` in interface `ComponentCloneListener`
      Parameters:
        `comp` - the cloned component (not the original one)
      Returns:
        the object to be used in the cloned component. If this object is returned, the same object is shared by the cloned and original components. If other object is returned, it is used by the cloned component. If null is returned, it is not used by the cloned component at all.